Skip to main content
PUT
/
api
/
reference
/
landscapes
/
{id}
/
entities
Update landscape entities
curl --request PUT \
  --url https://api-next.dealroom.co/api/reference/landscapes/{id}/entities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity_ids": [
    12345,
    67890,
    11223,
    44556
  ]
}
'
{
  "data": {
    "id": 123,
    "ecosystem_id": 123,
    "name": "<string>",
    "description": "<string>",
    "sort_order": 123,
    "entities": [
      {
        "uuid": "<string>",
        "name": "<string>",
        "tagline": "<string>",
        "image": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

OAuth2 client-credentials flow against the Dealroom Auth0 tenant. Use the client_id / client_secret from a Programmatic API key. Tokens are valid for 24h — Swagger UI will reuse the same token across operations.

Path Parameters

id
string
required
Minimum string length: 1
Pattern: ^\d+$
Example:

"1"

Body

application/json
entity_ids
integer[]
required

Response

Updated landscape with new entity list

data
object
required